petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscFESetUp

Construct data structures for the PetscFE

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetUp(PetscFE fem)

Collective on fem

### Input Parameter

fem -the PetscFE object to setup

### See Also

PetscFEView(), PetscFEDestroy()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fe.c

### Implementations

PetscFESetUp_Basic in src/dm/dt/fe/impls/basic/febasic.c
PetscFESetUp_Composite in src/dm/dt/fe/impls/composite/fecomposite.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages